From 2760b105c83278020bc39b6e33e9d3a84b0f5c68 Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <ckb@riseup.net>
Date: Sun, 23 Dec 2018 02:15:49 +0100
Subject: [PATCH 1/2] release_process: make it possible to set TMPDIR

The loop generating IUK files can be a bit space consuming, and it isn't
great to get ENOSPC at this stage: IUK files are prepared in place and
there's no way to tell which ones got successfully created.

Make it possible to set TMPDIR (and advertise it) to lower the chances
of running into disk space issues.
---
 wiki/src/contribute/release_process.mdwn | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/wiki/src/contribute/release_process.mdwn b/wiki/src/contribute/release_process.mdwn
index 66bece9709..7c858a0d83 100644
--- a/wiki/src/contribute/release_process.mdwn
+++ b/wiki/src/contribute/release_process.mdwn
@@ -713,7 +713,7 @@ Use `tails-create-iuk` to build the following IUKs:
   next version.
 
 Include each such version in a white-space separated list called
-`IUK_SOURCE_VERSIONS`, (e.g. `IUK_SOURCE_VERSIONS="2.8 2.9 2.9.1 2.10~rc1"`)
+`IUK_SOURCE_VERSIONS`, (e.g. `IUK_SOURCE_VERSIONS="2.8 2.9 2.9.1 2.10~rc1"`), optionally setting `TMPDIR` to an existing absolute path where disk space is available,
 and run the following:
 
     for source_version in $(echo ${IUK_SOURCE_VERSIONS:?}); do
@@ -724,6 +724,7 @@ and run the following:
         sudo su -c "cd ${IUK_CHECKOUT:?} && \
           SOURCE_DATE_EPOCH=$SOURCE_DATE_EPOCH \
           LC_ALL=C \
+          TMPDIR=\"${TMPDIR:-/tmp}\" \
           PERL5LIB=\"${PERL5LIB_CHECKOUT:?}/lib\" \
             ./bin/tails-create-iuk \
                --squashfs-diff-name \"${VERSION:?}.squashfs\"           \
-- 
2.11.0

